Index: /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 283)
+++ /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 309)
@@ -89,16 +89,14 @@
 				'add_action'			=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uigroups.add_groups'),
 				'add_group_disabled'	=> $this->functions->check_acl($account_lid,'add_groups') ? '' : 'disabled',
+				//'context'				=> $context,
 				'context_display'		=> $context_display,
-
-				'lang_groups_names'		=> lang('Group name'),
+				'lang_groups_names'		=> lang('Groups Names'),
 				'lang_description'		=> lang('Description'),
-				'lang_add_groups'		=> lang('Create group'),
+				'lang_add_groups'		=> lang('Add Groups'),
 				'lang_edit'  			=> lang('Edit'),
 				'lang_delete'			=> lang('Delete'),
-				'lang_delete_group'		=> lang('Delete group?'),
-				'lang_back'			=> lang('Back'),
-				'lang_context'			=> lang('Context'),
-				'lang_users'			=> lang('Users'),
-				'lang_search'			=> lang('Search')
+				'lang_back'				=> lang('back'),
+				'lang_context'			=> lang('context'),
+				'lang_search'			=> lang('search')
 			);
 			$p->set_var($var);
@@ -112,10 +110,11 @@
 				$groups_info = $this->functions->get_list('groups', $GLOBALS['query'], $contexts);
 			}
-
-			if (!count($groups_info) && $GLOBALS['query'] != '')
+			$total = count($groups_info);
+
+			if (!count($total) && $GLOBALS['query'] != '')
 			{
 				$p->set_var('message',lang('No matches found'));
 			}
-			else if (count($groups_info))
+			else if ($total)
 			{
 				if ($this->functions->check_acl($account_lid,'edit_groups'))
@@ -149,5 +148,5 @@
 					if ($can_delete)
 					{
-						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_group(\"".$group['cn']."\",\"".$group['gidnumber']."\");'>".lang('Delete')."</a>");
+						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_group(\"".$group['cn']."\",\"".$group['gidnumber']."\");'>Excluir</a>");
 					}
 					else
@@ -160,4 +159,5 @@
 			}
 			$p->parse('rows','row_empty',True);
+			$p->set_var($var);
 
 			if (! $GLOBALS['phpgw']->acl->check('group_access',4,'admin'))
@@ -190,5 +190,5 @@
 			unset($GLOBALS['phpgw_info']['flags']['noheader']);
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Create group');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Create Group');
 			$GLOBALS['phpgw']->common->phpgw_header();
 			
@@ -232,6 +232,21 @@
 				'ldap_context'				=> $GLOBALS['phpgw_info']['server']['ldap_context'],
 				'ufn_ldap_context'			=> ldap_dn2ufn($GLOBALS['phpgw_info']['server']['ldap_context']),
+				'lang_back'					=> lang('Back'),
+				'lang_save'					=> lang('save'),
+				'lang_group_organization'	=> lang('Group Organization'),
+				'lang_search_organization'	=> lang('Search Organiztion'),
+				'lang_org'					=> lang('Organizations'),
+				'lang_group_name'			=> lang('group name'),
+				'lang_description'			=> lang('Description'),
+				'lang_email'				=> lang('E-mail'),
 				'concatenateDomain'			=> $this->current_config['expressoAdmin_concatenateDomain'],
 				'defaultDomain'				=> $this->current_config['expressoAdmin_defaultDomain'],
+				'lang_group_users'			=> lang('Group users'),
+				'lang_applications'			=> lang('Applications'),
+				'lang_add_user'				=> lang('Add User'),
+				'lang_rem_user'				=> lang('Remove User'),
+				'lang_all_users'			=> lang('Select users from all sub-organizations'),
+				'apps'						=> $apps,
+				//'use_attrs_samba_checked'	=> $this->current_config['expressoAdmin_samba_support'] == 'true' ? 'CHECKED' : '',
 				'use_attrs_samba_checked'	=> '',
 				'disabled_samba'			=> 'disabled',
@@ -241,33 +256,5 @@
 				'back_url'					=> $GLOBALS['phpgw']->link('/index.php','menuaction=expressoAdmin1_2.uigroups.list_groups'),
 				'combo_manager_org'			=> $combo_manager_org,
-				'combo_all_orgs'			=> $combo_all_orgs,
-				'apps'				=> $apps,
-
-				'lang_back'			=> lang('Back'),
-				'lang_save'			=> lang('Save'),
-				'lang_group_organization'	=> lang('Group organization'),
-				'lang_search_organization'	=> lang('Search organization'),
-				'lang_group_name'		=> lang('Group name'),
-				'lang_description'		=> lang('Description'),
-				'lang_email'			=> lang('E-mail'),
-                                'lang_users'                    => lang('Available users'),
-                                'lang_organization'             => lang('Organizations'),
-				'lang_group_users'		=> lang('Selected users'),
-				'lang_applications'		=> lang('Applications'),
-				'lang_add_user'			=> lang('Add user'),
-				'lang_search_user'		=> lang('Search user'),
-				'lang_domain'			=> lang('Samba domain'),
-				'lang_rem_user'			=> lang('Remove user'),
-				'lang_invisible_group'		=> lang('Hidden group'),
-				'lang_all_users'		=> lang('Show users from all sub-organizations'),
-				'group_name_field_is_empty'     => lang('Group name field is empty'),
-				'description_field_is_empty'    => lang('Description field is empty'),
-				'group_name_field_not_allowed'  => lang('Group name field contains invalid characters'),
-				'description_field_not_allowed' => lang('Description field contains invalid characters'),
-				'group_successfully_created'    => lang('Group successfully created!'),
-				'not_possible_select_all_users' => lang('It is impossible to create a group with all organization users'),
-				'field_email_is_invalid'        => lang('E-mail field is invalid'),
-				'lang_samba_attributes'         => lang('Use Samba attributes'),
-				'field_name_is_incomplete'      => lang("The group's name field is incomplete. The group's name must be in the following format: grupo-organization-name. Ex: grupo-celepar-rh")
+				'combo_all_orgs'			=> $combo_all_orgs
 			);
 			$p->set_var($var);
@@ -295,5 +282,5 @@
 			unset($GLOBALS['phpgw_info']['flags']['noheader']);
 			unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit group');
+			$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['expressoAdmin1_2']['title'].' - '.lang('Edit Group');
 			$GLOBALS['phpgw']->common->phpgw_header();
 
@@ -315,8 +302,8 @@
 					if ($user_data['uidnumber'])
 					{
-					$array_users[$user_data['uidnumber']] = $user_data['cn'];
-					$array_users_uid[$user_data['uidnumber']] = $uid;
-					$array_users_type[$user_data['uidnumber']] = $user_data['type'];
-				}
+						$array_users[$user_data['uidnumber']] = $user_data['cn'];
+						$array_users_uid[$user_data['uidnumber']] = $uid;
+						$array_users_type[$user_data['uidnumber']] = $user_data['type'];
+					}
 					else
 					{
@@ -366,6 +353,23 @@
 			// Seta variaveis utilizadas pelo tpl.
 			$var = Array(
-				'restrictionsOnGroup'           => $this->current_config['expressoAdmin_restrictionsOnGroup'],
+				'color_bg1'					=> "#E8F0F0",
+				'color_bg2'					=> "#D3DCE3",
+				'type'						=> 'edit_group',
+				'ldap_context'				=> $GLOBALS['phpgw_info']['server']['ldap_context'],
+				'lang_back'					=> lang('Back'),
+				'lang_save'					=> lang('save'),
+				'lang_group_organization'	=> lang('Group Organization'),
+				'lang_search_organization'	=> lang('Search Organiztion'),
+				'lang_org'					=> lang('Organizations'),
+				'lang_group_name'			=> lang('group name'),
+				'lang_description'			=> lang('Description'),
+				'lang_email'				=> lang('E-mail'),
+				'lang_group_users'			=> lang('Group users'),
+				'lang_applications'			=> lang('Applications'),
+				'lang_add_user'				=> lang('Add User'),
+				'lang_rem_user'				=> lang('Remove User'),
+				'lang_all_users'			=> lang('Select users from all sub-organizations'),
 				'gidnumber'					=> $group_info['gidnumber'],
+				//'manager_context'			=> $manager_context,
 				'cn'						=> $group_info['cn'],
 				'user_count'				=> $user_count,
@@ -381,37 +385,5 @@
 				'combo_manager_org'			=> $combo_manager_org,
 				'combo_all_orgs'			=> $combo_all_orgs,
-				'ea_select_usersInGroup'	=> $ea_select_usersInGroup,
-				'color_bg1'			=> "#E8F0F0",
-				'color_bg2'			=> "#D3DCE3",
-				'type'				=> 'edit_group',
-				'ldap_context'			=> $GLOBALS['phpgw_info']['server']['ldap_context'],
-
-				'lang_back'			=> lang('Back'),
-				'lang_save'			=> lang('Save'),
-				'lang_group_organization'	=> lang('Group organization'),
-				'lang_search_organization'	=> lang('Search organization'),
-				'lang_group_name'		=> lang('Group name'),
-				'lang_description'		=> lang('Description'),
-				'lang_email'			=> lang('E-mail'),
-				'lang_group_users'		=> lang('Selected users'),
-				'lang_applications'		=> lang('Applications'),
-				'lang_add_user'			=> lang('Add user'),
-				'lang_rem_user'			=> lang('Remove user'),
-                                'lang_search_user'              => lang('Search user'),
-                                'lang_domain'                   => lang('Domain'),
-				'lang_invisible_group'		=> lang('Hidden group'),
-                                'lang_users'                   	=> lang('Available users'),
-                                'lang_organization'             => lang('Organizations'),
-				'lang_all_users'		=> lang('Show users from all sub-organizations'),
-				'group_name_field_is_empty'     => lang('Group name field is empty'),
-				'description_field_is_empty'    => lang('Description field is empty'),
-				'group_name_field_not_allowed'  => lang('Group name field contains invalid characters'),
-				'description_field_not_allowed' => lang('Description field contains invalid characters'),
-				'group_successfully_saved'      => lang('Group successfully saved!'),
-				'not_possible_select_all_users' => lang('It is impossible to create a group with all organization users'),
-				'group_successfully_deleted'    => lang('Group successfully deleted!'),
-				'field_email_is_invalid'        => lang('E-mail field is invalid'),
-				'lang_samba_attributes'         => lang('Use Samba attributes'),
-                                'field_name_is_incomplete'      => lang("The group's name field is incomplete. The group's name must be in the following format: grupo-organization-name. Ex: grupo-celepar-rh")
+				'ea_select_usersInGroup'	=> $ea_select_usersInGroup
 			);
 			$p->set_var($var);
